#ifndef STDAFX_H
#define STDAFX_H

/*
Dit is een zogenaamde 'precompiler header'.
Het voordeel is dat het compileren van het project veel sneller gaat
als je al je grote headers in dit bestand include.
Het nadeel is dat het compileren van dit bestand heel lang duurt, dus
als je een aanpassing maakt aan dit bestand of n van de headers die je
hier include, zal het compileren erg lang duren.
zet hier dus alleen headers zie (bijna) nooit veranderen, zoals de headers
van wxWidgets en de standaard headers

Om de precompiled header te gebruiken moet je gewoon in elk bestand
#include "stdAfx.h"
zetten, helemaal bovenaan. In cpp-bestanden is dit zelfs verplicht.
*/

/*
VC++ gedraagt zich een beetje anders dan GCC, dit stuk code zorgt ervoor
dat het programma in beide compilers werkt. Afhankelijk van wat je doet
zal je nog meer van dit soort dingen moeten toevoegen. Maar als je enkel
VC++ gebruikt maakt het natuurlijk niet uit.
*/
#if _MSC_VER
#define _USE_MATH_DEFINES // dit is nodig in VC++ om constanten zoals M_PI te gebruiken
#define OVERRIDE override // dit is handig als je virtuele functies gebruikt, het is niet noodzakelijk maar wel heel nuttig om fouten op te sporen
#else
#define OVERRIDE // GCC heeft geen 'override', dus hier wordt het gewoon genegeerd
#endif

#include <wx/wx.h>
/*
<wx/wx.h> moet altijd eerst, voordat je andere headers toevoegt.
Voeg eventueel extra wxWidgets headers toe voor extra dingen.
In de documentatie staat welke headers je moet gebruiken.
*/

// zet hieronder de standaard headers die je vaak gebruikt
#include <vector>
#include <map>
#include <deque>
#include <algorithm>
#include <memory>

#endif // STDAFX_H

